using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;

namespace DirectXEksempel07A
{
    class ModelComponent
    {
        private Vector3 position;
        private Matrix world;
        private float pitch;
        private float yaw;
        private float roll;
        
        protected ModelComponent()
        {
            position = new Vector3(0, 0, 0);
            world = Matrix.Identity;
            pitch = 0.0F;
            yaw = 0.0F;
            roll = 0.0F;
        }

        protected ModelComponent(Vector3 aPosition)
        {
            position = aPosition;
            world = Matrix.Identity;
            pitch = 0.0F;
            yaw = 0.0F;
            roll = 0.0F;
        }

        // Properties
        public Vector3 Position
        {
            get { return position; }
            set { position = value; }
        }

        public Matrix World
        {
            get { return world; }
            set { world = value; }
        }

        public float Pitch
        {
            get { return pitch; }
            set { pitch = value; }
        }

        public float Yaw
        {
            get { return yaw; }
            set { yaw = value; }
        }

        public float Roll
        {
            get { return roll; }
            set { roll = value; }
        }
    }
}
